Subject: Bug#474: Windows: Port X2Go Client: MinGW 4.4 + QT 4.8.5 -> MinGW 4.8 + QT 4.8.6

From: Michael DePaulo <[email-masked]>
Date: Tue, 9 Sep 2014 08:55:58 -0400

On Mon, Sep 8, 2014 at 9:01 PM, George Trakatelis <[email-masked]> wrote:
> Dear Mike,
>
> You can find useful information on libssh's failure to build below
>
> http://permalink.gmane.org/gmane.comp.audio.csound.devel/27287
>
> It seems that libssh's 0.6.3 pthread.c was written against
> an aging pthread header, so I've attached a patch.
>
> You can also try solving the problem the other way around
> (which is not recommended) just to see what happens.
> I have included a patch for mingw32 that restores the obsolete structure.
> If you are brave enough to test it, remember not to apply (to un-patch) the
> first patch.
> The two patches are mutually exclusive.
>
> -George

Dear George,

Thank you very much. I applied libssh-0.6.3-pthread.c.patch and it
libssh built successfully.

(I had trouble applying it using cygwin git/patch, and using
SourceTree (SourceTree crashed.) So I modified the filepaths, I've
attached the modified version.)

I have further details to share about compiling libssh with Unicode
support. I will post those details to bug #566.

-Mike#2